cascading.flow.tez.planner.rule.partitioner

## Class StreamedAccumulatedBoundariesNodeRePartitioner

- java.lang.Object
- - cascading.flow.planner.rule.RulePartitioner
  - - cascading.flow.planner.rule.partitioner.ExpressionRulePartitioner
    - - cascading.flow.tez.planner.rule.partitioner.StreamedAccumulatedBoundariesNodeRePartitioner

- All Implemented Interfaces:
    Rule

      public class StreamedAccumulatedBoundariesNodeRePartitioner
      extends ExpressionRulePartitioner

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.rule.RulePartitioner

      `RulePartitioner.PartitionSource`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.RulePartitioner

      `graphPartitioner, logLevel, partitionSource, phase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamedAccumulatedBoundariesNodeRePartitioner()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.partitioner.ExpressionRulePartitioner

      `addAnnotation, addAnnotationExclude, createExpressionGraphPartitioner, getAnnotationExcludes, setAnnotationExcludes, setAnnotations, setPhase, setRuleExpression`

    - ### Methods inherited from class cascading.flow.planner.rule.RulePartitioner

      `getGraphPartitioner, getPartitionSource, getRuleName, getRulePhase, partition, partition, performPartition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamedAccumulatedBoundariesNodeRePartitioner

          public StreamedAccumulatedBoundariesNodeRePartitioner()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.